commit: 673e1927eaea70f72525ee163d34ea59b6a2b058
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 29 03:19:11 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 29 03:20:53 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=673e1927
dev-python/jupyterlab: Bump to 4.4.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/jupyterlab/Manifest | 1 +
dev-python/jupyterlab/jupyterlab-4.4.4.ebuild | 75 +++++++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index 90e8c13c49de..d8bdc6c7cbf4 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -1,2 +1,3 @@
DIST jupyterlab-4.3.7.tar.gz 21827544 BLAKE2B
6aa1886b3fa9e67c8e4978e90cf5b0e84466de15ad5dfa90c07913e1141b5c24b755f9374b34b9b9bcbd6f712f3d58b72d259e969c91263859ff7e16358a296b
SHA512
57301337c8ebfc22b6ad8c09468b2f2642785967f20b74060e5ee50b0a3e1eb778f92d8179535dde5564c56b34102d096c4eee05f3fd3c6f6edbcf830f2765ed
DIST jupyterlab-4.4.3.tar.gz 23032376 BLAKE2B
5cf0cbe4f7ba009da2bbb59568be159e142a5ba71795556bd8ce4e92674e3fba58fc9ffb0504be6e419ad4eabd8ce70af23672794ca6c2a93f1e49d460cd2944
SHA512
07e013eff2e6a3de0214a3f5c2a001152d13f7501e015571716e42132fd9d3eb15e9e6b8182961022539564a5062e7ddad309db207dca0702c9516bc2910a6c0
+DIST jupyterlab-4.4.4.tar.gz 23044296 BLAKE2B
fec6a982a7eaadb8db68aa6e43c9cfb6391c54f7297609233372e21cfc0efc4c7ba87632838c00b540618129ffe85f90ca10fbbc7e786003f3fe67ccef720919
SHA512
342046a7163ee5e9aa137b89105286f104c0394d8b0a5d70e3b8e28c2df08f971cb2b472c47765e74b20c6563e59116b5dfff38f21a330c418a3e164481fd125
diff --git a/dev-python/jupyterlab/jupyterlab-4.4.4.ebuild
b/dev-python/jupyterlab/jupyterlab-4.4.4.ebuild
new file mode 100644
index 000000000000..c0f043054b62
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.4.4.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3_11 python3_{11..13} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/async-lru-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.28.0[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-6.5.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.3[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.27.1[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41.1.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ net-libs/nodejs[npm]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,tornasync,timeout} )
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme
dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}